%global pypi_name recaptcha-client

%define python3 1
Name:           python-%{pypi_name}
Version:        1.0.6
Release:        %mkrel 8
Group:          Development/Python
Summary:        A plugin for reCAPTCHA and reCAPTCHA Mailhide

License:        MIT
URL:            http://pypi.python.org/pypi/%{pypi_name}
Source0:        http://pypi.python.org/packages/source/r/%{pypi_name}/%{pypi_name}-%{version}.tar.gz

BuildArch:      noarch
 
BuildRequires:  pkgconfig(python2)
BuildRequires:  pythonegg(2)(setuptools)

%description
A plugin for reCAPTCHA and reCAPTCHA Mailhide.

%if %python3
%package -n python3-%{pypi_name}
Summary:        A plugin for reCAPTCHA and reCAPTCHA Mailhide
Group:          Development/Python

BuildRequires:  pkgconfig(python3)
BuildRequires:  pythonegg(3)(setuptools)

%description -n python3-%{pypi_name}
A plugin for reCAPTCHA and reCAPTCHA Mailhide.
%endif

%prep
%setup -q -n %{pypi_name}-%{version}

cp -a . %{py3dir}

%build
%py2_build

%if %python3
pushd %{py3dir}
%py3_build
popd
%endif

%install
%if %python3
pushd %{py3dir}
%py3_install
popd
%endif

%py2_install

%files
%{python2_sitelib}/recaptcha_client*
%{python2_sitelib}/recaptcha/client/

%if %python3
%files -n python3-%{pypi_name}
%{python3_sitelib}/recaptcha_client*
%{python3_sitelib}/recaptcha/client/
%endif


%changelog
* Fri Feb 19 2016 umeabot <umeabot> 1.0.6-8.mga6
+ Revision: 970862
- Mageia 6 Mass Rebuild

* Sat Oct 10 2015 daviddavid <daviddavid> 1.0.6-7.mga6
+ Revision: 888644
- rebuild for python 3.5
- use new python macros

* Wed Oct 15 2014 umeabot <umeabot> 1.0.6-6.mga5
+ Revision: 746120
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 1.0.6-5.mga5
+ Revision: 729624
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 1.0.6-4.mga5
+ Revision: 688303
- Mageia 5 Mass Rebuild

* Sat May 31 2014 pterjan <pterjan> 1.0.6-3.mga5
+ Revision: 628986
- Rebuild for new Python

* Tue Oct 22 2013 umeabot <umeabot> 1.0.6-2.mga4
+ Revision: 546138
- Mageia 4 Mass Rebuild

* Thu Oct 17 2013 neoclust <neoclust> 1.0.6-1.mga4
+ Revision: 502218
- imported package python-recaptcha-client

